Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class ContactAddressBaseType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType
          be.fgov.ehealth.rn.baselegaldata.v1.ContactAddressBaseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class ContactAddressBaseType

extends AbstractOptionalContactAddressType
implements Serializable

Java class for ContactAddressBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactAddressBaseType">
       <complexContent>
         <restriction base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalContactAddressType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressGroup"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContactAddressBaseType()`

Method Summary

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType
`getAddressRegionalCode, getBoxNumber, getCityCode, getCityNames, getCityRegionalCode, getCountryCode, getCountryIsoCode, getCountryNames, getHouseNumber, getInceptionDate, getPostalCode, getRegionCode, getRegionNames, getStreetCode, getStreetNames, getStreetRegionalCode, getTypeCode, getTypeDescriptions, setAddressRegionalCode, setBoxNumber, setCityCode, setCityRegionalCode, setCountryCode, setCountryIsoCode, setHouseNumber, setInceptionDate, setPostalCode, setRegionCode, setStreetCode, setStreetRegionalCode, setTypeCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactAddressBaseType

    public ContactAddressBaseType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.